#include <stdio.h>
#include <vector>

using namespace std;

int main()
{
  vector <int> a;
  long long n;
  scanf("%lld", &n);
  for (int i=0;i<n;i++)
  {
    int d;
    scanf("%d", &d);
    a.push_back(d);
  }
  long long cifra[20];
  for (int i=0;i<=9;i++) cifra[i]=-1;
  for (long long i=n-1;i>=0;i--)
  {
    if (cifra[a[i]]==-1)
    {
      cifra[a[i]]=i;
    }
  }
  for (long long i=0;i<n;i++)
  {
    for (int j=9;j>a[i];j--)
    {
      if (cifra[j]>i)
      {
        for (long long k=0;k<n;k++)
        {
          if (k==i) printf("%d ",j);
          else if (k==cifra[j]) printf("%d ", a[i]);
          else printf("%d ", a[k]);
        }
        return 0;
      }
    }
  }
  for (int i=0;i<n-1;i++)
  {
    if (a[i]==a[i+1])
    {
        for (int k=0;k<n;k++)
        {
          printf("%d ", a[k]);
        }
        return 0;
    }
  }
  for (long long k=0;k<n-2;k++)
  {
    printf("%d ", a[k]);
  }
  printf("%d %d", a[n-1],a[n-2]);
}